n           = 10000;
k           = 2;
noise_power = 0;
dataset     = "bernoulli";

[Sigma,B,X,z,e] = generate_data(dataset,n,k,noise_power);
contrast_fn     = symmetric_chf(X);

u    = zeros(k,1);
u(1) = 1;

grad = contrast_fn.get_gradient(u)